org.apache.hadoop.mapreduce.lib.map

## Class InverseMapper<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<K,V,V,K>
  - - org.apache.hadoop.mapreduce.lib.map.InverseMapper<K,V>

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class InverseMapper<K,V>
      extends Mapper<K,V,V,K>

  A `Mapper` that swaps keys and values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InverseMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `map(K key, V value, Mapper.Context context)` The inverse function.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InverseMapper

          public InverseMapper()

  - ### Method Detail

    - #### map

          public void map(K key,
                          V value,
                          Mapper.Context context)
                   throws IOException,
                          InterruptedException

      The inverse function. Input keys and values are swapped.
      Overrides:
        `map` in class `Mapper<K,V,V,K>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.